﻿@model CatHub.Models.CreateVideoModel

@{
    ViewBag.Title = "CreateVideo";
}


@* public int id { get; set; }
    public string Name { get; set; }
    public string Path { get; set; }
    public string Date { get; set; }
    public string ClientId { get; set; }
    public string PathImg { get; set; }
    public int ThemeId { get; set; }

    public string Description { get; set; }
*@


<div class="d-flex justify-content-center">
    <div class="col-md-2 text-center">
        <h2>CreateVideo</h2>
        @using (Html.BeginForm("CreateVideo", "Video", FormMethod.Post, new { enctype = "multipart/form-data" }))
        {

            @Html.AntiForgeryToken()
            @Html.ValidationSummary(false)

            <div class="form-group">
                <label for="formGroupExampleInput">Name</label>
                @Html.TextBoxFor(model => model.Name, new { @class = "form-control", id = "formGroupExampleInput", placeholder = "" })
            </div>

            <div class="form-group">
                <label for="formGroupExampleInput">Theme</label>
                @Html.DropDownListFor(m => m.Theme, ViewBag.List as SelectList, new { @class = "form-control", id = "formGroupExample", placeholder = "" })
            </div>

            <div class="form-group">
                <label for="formGroupExampleInput">Video file</label>
                @Html.TextBoxFor(m => m.File, new { type = "file", name = "File", accept = ".mp4", @class = "custom-file-input", id = "validatedCustomFile" })
                @Html.ValidationMessageFor(m => m.File)
            </div>
            <div class="form-group">
                <label for="formGroupExampleInput">Image file</label>
                @Html.TextBoxFor(m => m.ImgFile, new { type = "file", name = "File", accept = ".jpg" })
                @Html.ValidationMessageFor(m => m.ImgFile)
            </div>
            <div class="form-group">
                <label for="formGroupExampleInput">Description</label>
                @Html.TextBoxFor(model => model.Description, new { @class = "form-control", id = "formGroupExampleInput", placeholder = "" })
            </div>
            <p></p>
           
            <button  class="btn btn-warning" value="submit me" name="submitme" id="submitme" type="submit">Submit form</button>


        }
    </div>
</div>